export declare class STooltip {
  private shouldShowTooltip;
  private _isTooltipEnabled;
  private get isTooltipEnabled();
  private set isTooltipEnabled(value);
  private get attachedElements();
  hostElement: HTMLSTooltipElement;
  margin: number;
  orientation: 'top' | 'right' | 'bottom' | 'left';
  followMouse: boolean;
  noDefaultStyle: boolean;
  noArrow: boolean;
  attachTo: string | HTMLElement[];
  showDelay: number;
  hideDelay: number;
  color: string;
  backgroundColor: string;
  maxWidth: string;
  maxHeight: string;
  borderWidth: string;
  borderColor: string;
  opacity: number;
  zIndex: number;
  shadow: string;
  borderRadius: string;
  arrowSize: string;
  updateColor(value: string): void;
  updateBackgroundColor(value: string): void;
  updateMaxWidth(value: string): void;
  updateMaxHeight(value: string): void;
  updateBorderWidth(value: string): void;
  updateBorderColor(value: string): void;
  updateOpacity(value: number): void;
  updateZIndex(value: number): void;
  updateShadow(value: string): void;
  updateBorderRadius(value: string): void;
  updateArrowSize(value: string): void;
  connectedCallback(): void;
  render(): any;
  private updateTooltipText;
  private updateTooltipPosition;
  private setTooltipPosition;
  private initializeCSSVariables;
  private updateCSSVariable;
}
